Bug 1273036 - Strange behaviour of paginations in Overview Tab
Strange behaviour of paginations in Overview Tab
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
All All
urgent Severity high
: CR1
: 6.2.0
Assigned To: Toni Rikkola
Kirill Gaevskii
: Regression
: 1279782 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 08:40 EDT by Kirill Gaevskii
Modified: 2015-11-18 06:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Paginagions in Overview tab (5.48 MB, application/octet-stream)
2015-10-19 08:40 EDT, Kirill Gaevskii
no flags Details
Fix in a patch for uberfire-extensions 0.7.5-SNAPSHOT (1.83 KB, patch)
2015-10-28 13:45 EDT, Toni Rikkola
no flags Details | Diff

  None (edit)
Description Kirill Gaevskii 2015-10-19 08:40:14 EDT
Created attachment 1084387 [details]
Paginagions in Overview tab

Description of problem:
Paginations in Overview shows odd pages only. 

Version-Release number of selected component (if applicable):
6.2.ER4

How reproducible:
always

Steps to Reproduce:
1. Open Business Process with 10+ commits (or create new one)
2. Go to Overview Tab
3. Try to switch pages with commits info by pagination

Actual results:
Only odd pages will be shown (ie. 1-5, 11-15..., see attachment)

Expected results:
All pages will be shown

Additional info:
Comment 2 Toni Rikkola 2015-10-28 08:27:28 EDT
Looks like this only happens with the 6.3.x branch. The issue is fixed in master.

Also it is not tied to just the designer, but to all the editors. Reproduced it with DRL-editor.
Comment 3 Toni Rikkola 2015-10-28 09:12:21 EDT
Ok, the PatternFly update fixes this. Now taking a look at how to fix it without it.
Comment 4 Toni Rikkola 2015-10-28 13:44:07 EDT
The problem was the grid was set to showing 5 items, but the pager was set to show 10. 

I made a patch since the fix is late.
Comment 5 Toni Rikkola 2015-10-28 13:45 EDT
Created attachment 1087298 [details]
Fix in a patch for uberfire-extensions 0.7.5-SNAPSHOT

Fix in a patch for uberfire-extensions 0.7.5-SNAPSHOT
Comment 6 Toni Rikkola 2015-11-10 07:08:28 EST
*** Bug 1279782 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.